Subject: Re: bug#31841: ./pre-inst-env guix system no longer works without ~/.config/guix

From: [email-masked]
Date: Tue, 19 Jun 2018 13:08:53 -0400

Hi Ludo’,

On 06/17/2018 at 22:53 Ludovic Courtès writes:

> Hello,
>
> Mark H Weaver <[email-masked]> skribis:
>
>> I should emphasize that when running Guix this way, if you wish to avoid
>> running 'guix pull', it's important to always keep at least one
>> known-good development environment for Guix saved as a GC root.  Toward
>> that end, when I run "guix environment guix" to update my development
>> environment profile, I make sure to preserve my previous profile as a GC
>> root until I'm confident that my new profile is working.
>
> The “make as-derivation” command aims to help with this bootstrapping
> problem: given an already installed Guix, it builds your checkout and
> its dependencies like ‘guix pull’ would do.  Thus, you can run:
>
>   $(make as-derivation)/bin/guix environment guix

Nice! This is news to me. Thank you for pointing it out.

Does 'make as-derivation' set the "current" symlink normally set by
'guix pull'?

TIA - George